> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# End rental

> End a rental and release all associated resources



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json delete /rentals/{rentalId}
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /rentals/{rentalId}:
    delete:
      tags:
        - Rentals
      summary: End rental
      description: End a rental and release all associated resources
      parameters:
        - in: path
          name: rentalId
          required: true
          schema:
            type: string
          description: Rental ID
      responses:
        '200':
          description: Rental successfully ended
          content:
            application/json:
              schema:
                type: string
        '404':
          description: Rental not found
        '409':
          description: Rental termination in progress or has active resources
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````